
-- Core functionalities of the ASISEyes application. That is, its
-- functionalies stripped of any interfacing stuff, like command line
-- interface and the like. If you are to study of modify the core application,
-- you are most likely to have a look here. If you are to study or update
-- the command line interface or IDE integration, you are not in the good
-- place.

-- To build this package for an ASIS vendor of your choice, update the
-- renaming package My_ASIS_Vendor. The implementation makes use of
-- My_ASIS_Vendor (this implementation dependency is part of the
-- specification).

-- To build this package to target an IDE vendor of your choice, update the
-- renaming package My_IDE_Vendor. The implementation makes use of
-- My_IDE_Vendor (this implementation dependency is part of the
-- specification).

with Asis;
-- with My_ASIS_Vendor
-- with My_IDE_Vendor

package ASISEyes is

   procedure Put_ASIS_Configuration;

   function Unit_Exist
     (Context   : in Asis.Context;
      Unit_Name : in Wide_String)
      return Boolean;

   procedure Put_Unit_Specification_Properties
     (Context   : in Asis.Context;
      Unit_Name : in Wide_String);

   procedure Put_Unit_Body_Properties
     (Context   : in Asis.Context;
      Unit_Name : in Wide_String);

   procedure Put_Unit_Specification_Declarations
     (Context   : in Asis.Context;
      Unit_Name : in Wide_String);

   procedure Put_Unit_Body_Declarations
     (Context   : in Asis.Context;
      Unit_Name : in Wide_String);

   procedure ASISEyes_Using_Unit_Name
     (Unit_Name : in Wide_String);

   procedure ASISEyes_Using_File_Name
     (File_Name : in Wide_String);

end ASISEyes;
