
-- This package is a static genericity package. See IDE_Vendors.Typical
-- for the reference specification and more comments.

package IDE_Vendors.GPS is

   -- ========================================================================
   -- Table of Content
   -- ------------------------------------------------------------------------
   -- 1. End of paraggraph
   -- 2. Raw messages
   -- 3. Message associated to a file/text location
   -- ------------------------------------------------------------------------

   -- ========================================================================
   -- 1. End of paraggraph
   -- ------------------------------------------------------------------------

   procedure End_Of_Paragraph;

   -- ========================================================================
   -- 2. Raw messages
   -- ------------------------------------------------------------------------

   procedure Log_Message (Log_Text : in String);

   procedure Log_Message (Log_Text : access constant String);

   procedure Log_Message (Log_Text : in out Text_To_Write_Class);

   -- ========================================================================
   -- 3. Message associated to a file/text location
   -- ------------------------------------------------------------------------

   procedure Log_Message_With_File_Position
     (File_Name     : access constant String;
      Line_Number   : in Positive;
      Column_Number : in Positive;
      Log_Text      : in String);

   procedure Log_Message_With_File_Position
     (File_Name     : access constant String;
      Line_Number   : in Positive;
      Column_Number : in Positive;
      Log_Text      : access constant String);

   procedure Log_Message_With_File_Position
     (File_Name     : access constant String;
      Line_Number   : in Positive;
      Column_Number : in Positive;
      Log_Text      : in out Text_To_Write_Class);

end IDE_Vendors.GPS;
